Skip to content
Start here

Get queries

GET/accounts/{account_id}/cloudforce-one/v2/brand-protection/domain/queries

Get all saved brand protection queries for an account

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Cloudforce One WriteCloudforce One Read
Path ParametersExpand Collapse
account_id: string
minLength1
Query ParametersExpand Collapse
id: optional string
ReturnsExpand Collapse
created: string
parameters: object { string_matches, max_time, min_time }
string_matches: array of object { max_edit_distance, pattern }
max_edit_distance: number
maximum1
minimum0
pattern: string
minLength1
max_time: optional string
min_time: optional string
query_id: number
query_tag: string
scan: boolean
updated: string

Get queries

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/cloudforce-one/v2/brand-protection/domain/queries \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
[
  {
    "created": "created",
    "parameters": {
      "string_matches": [
        {
          "max_edit_distance": 0,
          "pattern": "x"
        }
      ],
      "max_time": "max_time",
      "min_time": "min_time"
    },
    "query_id": 0,
    "query_tag": "query_tag",
    "scan": true,
    "updated": "updated"
  }
]
Returns Examples
[
  {
    "created": "created",
    "parameters": {
      "string_matches": [
        {
          "max_edit_distance": 0,
          "pattern": "x"
        }
      ],
      "max_time": "max_time",
      "min_time": "min_time"
    },
    "query_id": 0,
    "query_tag": "query_tag",
    "scan": true,
    "updated": "updated"
  }
]